Project

General

Profile

Refactor #10471

Replace require_ssl filter with Rails' force_ssl

Added by Dominic Cleal over 5 years ago. Updated over 2 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Rails
Target version:
Difficulty:
Triaged:
Bugzilla link:
Fixed in Releases:
Found in Releases:

Description

Rails has a built in force_ssl filter that we can use to replace our own "require_ssl" filter.


Related issues

Related to Foreman - Bug #11119: CVE-2015-5152 - API permits HTTP requests when require_ssl is enabledClosed2015-07-15

Associated revisions

Revision f932cce2 (diff)
Added by Shlomi Zadok over 5 years ago

fixes #10471 - use Rails' force_ssl

History

#1 Updated by The Foreman Bot over 5 years ago

  • Status changed from Assigned to Ready For Testing
  • Pull request https://github.com/theforeman/foreman/pull/2373 added
  • Pull request deleted ()

#2 Updated by Dominic Cleal over 5 years ago

  • Legacy Backlogs Release (now unused) set to 35

#3 Updated by Shlomi Zadok over 5 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

#4 Updated by Ohad Levy over 5 years ago

  • Bugzilla link set to 1233080

#5 Updated by Dominic Cleal over 5 years ago

  • Related to Bug #11119: CVE-2015-5152 - API permits HTTP requests when require_ssl is enabled added

Also available in: Atom PDF